services:
    Chill\PersonBundle\AccompanyingPeriod\SocialIssueConsistency\AccompanyingPeriodSocialIssueConsistencyEntityListener:
        tags:
            -
                name: 'doctrine.orm.entity_listener'
                event: 'prePersist'
                entity: 'Chill\PersonBundle\Entity\AccompanyingPeriod'
                lazy: true
                method: prePersistAccompanyingPeriod
            -
              name: 'doctrine.orm.entity_listener'
              event: 'preUpdate'
              entity: 'Chill\PersonBundle\Entity\AccompanyingPeriod'
              lazy: true
              method: preUpdateAccompanyingPeriod

    Chill\PersonBundle\AccompanyingPeriod\Suggestion\ReferralsSuggestion:
        autowire: true
        autoconfigure: true

    Chill\PersonBundle\AccompanyingPeriod\Suggestion\ReferralsSuggestionInterface: '@Chill\PersonBundle\AccompanyingPeriod\Suggestion\ReferralsSuggestion'

    Chill\PersonBundle\AccompanyingPeriod\Events\:
        resource: './../../AccompanyingPeriod/Events'
        autowire: true
        autoconfigure: true

    Chill\PersonBundle\AccompanyingPeriod\Lifecycle\:
        resource: './../../AccompanyingPeriod/Lifecycle'
        autowire: true
        autoconfigure: true

    Chill\PersonBundle\AccompanyingPeriod\Events\UserRefEventSubscriber:
        autowire: true
        autoconfigure: true
        tags:
            - # these are the options required to define the entity listener
                name: 'doctrine.orm.entity_listener'
                event: 'postUpdate'
                entity: 'Chill\PersonBundle\Entity\AccompanyingPeriod'

                # set the 'lazy' option to TRUE to only instantiate listeners when they are used
                lazy: true
